#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include <Fonts/FreeSerif12pt7b.h>
#include <Fonts/FreeSansBold18pt7b.h>
// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
Adafruit_SSD1306 display(128,64, &Wire,4);
/* initialize a display object with the width and height , with I2C protocol (&Wire).
 *  The (-1) parameter means that your OLED display doesn’t have a RESET pin. 
 *  If your OLED display does have a RESET pin, it should be connected to a GPIO. 
 *  In that case, you should pass the GPIO number as a parameter.
 */
void setup() {
  Serial.begin(9600);

  display.begin(SSD1306_SWITCHCAPVCC, 0x3C); /* Initialize display with address 0x3C */
  display.setFont(&FreeSerif12pt7b);
  delay(2000);
  display.clearDisplay();

  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(8, 20);
  //Define the position where the text starts 
  display.println("Hello world!");
  //display.setFont();
  display.setFont(&FreeSansBold18pt7b);
  display.setCursor(8, 60);
  display.println("38.5");
  display.display(); 
    //you need to call the display() method to actually display the text on the screen.
}

void loop() {
  
}
